Resultados 1 a 9 de 9

Tópico: Versão do PHP

  1. #1
    Quero ser Guru
    Data de Ingresso
    Oct 2010
    Posts
    47

    Versão do PHP

    Amigos,

    acabei de descobrir que um VPS nosso ainda esta com o php 5.3.13, voces sabem se eu atualizar para a ultima 5.3.x irá dar problemas nos scripts de PHP mais antigos?

    abs,
    Duda

  2. #2
    WHT-BR Top Member
    Data de Ingresso
    Dec 2010
    Posts
    15,049
    Claro que vai dar!

    Brincadeira. Sequer uso PHP, mas com a ficha criminal que o PHP tem, cada atualização é um convite para um bode entrar na sala.

  3. #3
    Louco pelo WHT Brasil
    Data de Ingresso
    Mar 2012
    Posts
    163
    Não, tal atualização só irá corrigir bugs e falhas de segurança.
    Gabriel Santos - hasore

  4. #4
    Quero ser Guru
    Data de Ingresso
    Oct 2010
    Posts
    47
    Citação Postado originalmente por 5ms Ver Post
    Claro que vai dar!

    Brincadeira. Sequer uso PHP, mas com a ficha criminal que o PHP tem, cada atualização é um convite para um bode entrar na sala.
    que susto! rssss

  5. #5
    {topmember}
    Data de Ingresso
    Nov 2010
    Localização
    Rio de Janeiro
    Posts
    596
    Do PHP 5.3.X para outro 5.3.X (5.3.27 se não me engano) nenhum problema, pelo contrário é praticamente obrigatório fazer.

    Do PHP 5.3.X para o 5.4.X é dor de cabeça, prepare-se.
    _________________________
    Alexandre Duran
    MegaHost ISP - Meganick IDC - DigitalSSL
    [B]Hospedagem de Sites - Servidores Dedicados

  6. #6
    Aspirante a Evangelist
    Data de Ingresso
    Feb 2012
    Localização
    Lisboa, Portugal
    Posts
    403
    Para 5.5.X é melhor fugir!
    Sampling Line - Serviços e Internet, Lda.
    PTServidor - Alojamento Web, Domínios, Lojas, VPS, Radios, Dedicados, Housing/Colocation
    Blog PTServidor | Registrar Oficial FCCN|MS Partner|R1Soft

  7. #7
    WHT-BR Top Member
    Data de Ingresso
    Dec 2010
    Posts
    15,049
    E não foi sempre assim?

  8. #8
    Aspirante a Evangelist
    Data de Ingresso
    Feb 2012
    Localização
    Lisboa, Portugal
    Posts
    403
    Foi mas com educação aos clientes o PHP selector do cloudlinux vem ajuda muito!
    Sampling Line - Serviços e Internet, Lda.
    PTServidor - Alojamento Web, Domínios, Lojas, VPS, Radios, Dedicados, Housing/Colocation
    Blog PTServidor | Registrar Oficial FCCN|MS Partner|R1Soft

  9. #9
    Membro
    Data de Ingresso
    Sep 2013
    Localização
    Braço do Norte
    Posts
    28
    terá sim, fui migrar de servidor e me ferrei
    No 5.4+ teve atualização na função htmlentities, onde antes era enviado codificação iso-8859-1 por padrão e agora passou a ser UTF-8
    Portanto se você trabalha com esse tipo de codificação em seus scripts/sites, poderá ter problemas e precisar atualizar tudo.

    Fica a dica, tive que voltar para a versão antiga para todos meus sites continuarem da forma correta

Permissões de Postagem

  • Você não pode iniciar novos tópicos
  • Você não pode enviar respostas
  • Você não pode enviar anexos
  • Você não pode editar suas mensagens
  •